curl -X GET "https://scrape.st/telegram/channel/@durov/search?q=update&limit=20" \
-H "x-api-key: YOUR_API_KEY"
{
"total": 5,
"messages": [
{
"id": 123456,
"text": "Telegram just got a new update!",
"date": 1714567890,
"channelId": "1001234567",
"channelTitle": "Durov's Channel",
"fromId": "987654321",
"views": 500000,
"forwards": 12000,
"hasMedia": false,
"mediaType": null
}
]
}
Telegram Queries
Search Channel Messages
Search messages within a specific Telegram channel
GET
/
telegram
/
channel
/
{channelId}
/
search
curl -X GET "https://scrape.st/telegram/channel/@durov/search?q=update&limit=20" \
-H "x-api-key: YOUR_API_KEY"
{
"total": 5,
"messages": [
{
"id": 123456,
"text": "Telegram just got a new update!",
"date": 1714567890,
"channelId": "1001234567",
"channelTitle": "Durov's Channel",
"fromId": "987654321",
"views": 500000,
"forwards": 12000,
"hasMedia": false,
"mediaType": null
}
]
}
Search for messages matching a specific query within a given Telegram channel or group.
Path Parameters
string
required
The Telegram channel username (e.g.
@durov) or numeric IDQuery Parameters
string
Search query string (1-1000 characters). Optional. You can also use
query
instead of q. If omitted, fetches recent messages.number
default:"20"
Number of results to return (1-100)
Response
number
Total number of matching messages found
array
Show properties
Show properties
number
Message ID
string
Message text content
number
Unix timestamp of the message
string | null
ID of the channel
string | null
Title of the channel
string | null
ID of the sender
number | null
Number of views
number | null
Number of forwards
boolean
Whether the message contains media
string | null
Type of media (
photo, video, document, url, or null)curl -X GET "https://scrape.st/telegram/channel/@durov/search?q=update&limit=20" \
-H "x-api-key: YOUR_API_KEY"
{
"total": 5,
"messages": [
{
"id": 123456,
"text": "Telegram just got a new update!",
"date": 1714567890,
"channelId": "1001234567",
"channelTitle": "Durov's Channel",
"fromId": "987654321",
"views": 500000,
"forwards": 12000,
"hasMedia": false,
"mediaType": null
}
]
}